/******************************************************************************
 * @file:		aqua_config.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	31. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef AQUA_CONFIG_H_
#define AQUA_CONFIG_H_

#include "em_leuart.h"
#include "em_gpio.h"

#include "shared.h"

/*******************************************************************************
 * 									Settings
 *******************************************************************************/

#define AQUA_ADDRESS 		0x01
#define AQUA_REGISTER_READ 	0x03
#define AQUA_RX_TIMEOUT 	1


/*******************************************************************************
 * 								Ports and pins
 *******************************************************************************/

#define AQUA_PWR_PORT		gpioPortA
#define AQUA_GPIO_PORT      gpioPortA
#define AQUA_UART_PORT		gpioPortB

#define AQUA_PWR_PIN		8
#define AQUA_TX_PIN		    13
#define AQUA_RX_PIN         14
#define AQUA_BIAS_PIN		9

#if USE_OLD_CONTROLLER
#define AQUA_DE_PIN        	9
#define AQUA_RE_PIN        	10
#else
#define AQUA_DE_PIN        	10
#define AQUA_RE_PIN        	11
#endif
/*******************************************************************************
 * 								UART Settings
 *******************************************************************************/

#define AQUA_UART           LEUART0
#define AQUA_CMUCLOCK       cmuClock_LEUART0

#define AQUA_ROUTE 		   	LEUART_ROUTE_RXPEN | LEUART_ROUTE_TXPEN
#define AQUA_LOC            LEUART_ROUTE_LOCATION_LOC1


#define AQUA_BAUDRATE 		19200
#define AQUA_DATABITS		leuartDatabits8
#define AQUA_PARITY			leuartEvenParity
#define AQUA_STOPBITS		leuartStopbits1

#define AQUA_IRQn			LEUART0_IRQn


#define AQUA_UART_INIT		\
{							\
	leuartEnable,			\
	0,						\
	AQUA_BAUDRATE,			\
	AQUA_DATABITS,			\
	AQUA_PARITY,			\
	AQUA_STOPBITS			\
}

#endif /* AQUA_CONFIG_H_ */
