/******************************************************************************
 * @file:		gauge_driver.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	30. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GAUGE_DRIVER_H_
#define GAUGE_DRIVER_H_

#include <stdbool.h>
#include <stdint.h>

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

bool     GAUGE_Init();
void 	 GAUGE_DeInit();
bool 	 GAUGE_ReadAllRegisters();
uint16_t GAUGE_GetControlStatus();
bool 	 GAUGE_DefaultConfig();

uint16_t GAUGE_BatteryVoltage_mV();
uint16_t GAUGE_RemainingCapacity_mAh();
uint16_t GAUGE_FullChargeCapacity_mAh();
int16_t  GAUGE_AverageCurrent_mA();
int16_t  GAUGE_InstCurrent_mA();
int8_t   GAUGE_InternalTemp_C();
int16_t  GAUGE_StandbyCurrent_mA();
uint8_t  GAUGE_StateOfCharge();


#endif /* GAUGE_DRIVER_H_ */
