/******************************************************************************
 * @file:		gsm_config.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	31. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GSM_CONFIG_H_
#define GSM_CONFIG_H_

#include "em_usart.h"
#include "em_gpio.h"

/*******************************************************************************
 * 								UART Settings
 *******************************************************************************/

#define GSM_UART          		UART0
#define GSM_CMUCLOCK        	cmuClock_UART0

#define GSM_ROUTE 				UART_ROUTE_RXPEN | UART_ROUTE_TXPEN
#define GSM_LOC             	UART_ROUTE_LOCATION_LOC0


#define GSM_BAUDRATE_FACTORY	19200
#define GSM_BAUDRATE			115200
#define GSM_DATABITS		 	usartDatabits8
#define GSM_PARITY				usartNoParity
#define GSM_STOPBITS		 	usartStopbits1


#define GSM_RX_IRQn		 	UART0_RX_IRQn
#define GSM_TX_IRQn		 	UART0_TX_IRQn

#define GSM_UART_INIT		\
{							\
	usartEnable,			\
	0,						\
	GSM_BAUDRATE,			\
	usartOVS16,				\
	GSM_DATABITS,			\
	GSM_PARITY,				\
	GSM_STOPBITS			\
}


/*******************************************************************************
 * 									Settings
 *******************************************************************************/

#define GSM_USE_SLEEP_MODE	1
#define GSM_USE_RTS			1
#define GSM_USE_PWRKEY 		0
#define GSM_USE_RESET 		0
/*******************************************************************************
 * 								Ports and pins
 *******************************************************************************/

#define GSM_PWR_PORT			gpioPortA
#define GSM_UART_PORT			gpioPortF
#define GSM_RTS_PORT			gpioPortE
#define GSM_CTS_PORT			gpioPortE
#define GSM_RI_PORT				gpioPortD
#define GSM_DTR_PORT			gpioPortD

/* Optional: On harvester module interface */
#define GSM_RESET_PORT		gpioPortE
#define GSM_PWRKEY_PORT		gpioPortA

#define GSM_PWR_PIN			3
#define GSM_TX_PIN		   	6
#define GSM_RX_PIN         	7
#define GSM_RTS_PIN			9
#define GSM_CTS_PIN			8
#define GSM_RI_PIN			11
#define GSM_DTR_PIN			12

/* Optional: On harvester module interface */
#define GSM_RESET_PIN			12
#define GSM_PWRKEY_PIN			2


#endif /* GSM_CONFIG_H_ */
