/******************************************************************************
 * @file:		gsm_driver.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	31. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GSM_DRIVER_H_
#define GSM_DRIVER_H_

#include <stdbool.h>
#include <stdint.h>

/*******************************************************************************
 * 								Typedefs
 *******************************************************************************/

typedef struct {
	char * destinationNumber;
	char * message;
} GSM_SmsMsg;


typedef enum {
	rs_notRegistered,
	rs_gsmRegistered,
	rs_gsmGprsRegistered,
	rs_error
}GSM_RegStatus_rs;

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

bool GSM_Init();
void GSM_Reset();
bool GSM_PowerOn();
bool GSM_PowerOff();
void GSM_LowPowerMode(bool enter);

void GSM_SetCTS(bool clear);

GSM_RegStatus_rs GSM_Registered();

bool GSM_DefaultConfig();
bool GSM_ConfigureSmsSim();
bool GSM_InitSMSMemory();
void GSM_SetPin(char * pin);


#endif /* GSM_DRIVER_H_ */
