/******************************************************************************
 * @file:		spi_driver.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	26. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/


#ifndef SPI_DRIVER_H_
#define SPI_DRIVER_H_

#include <stdio.h>
#include <stdint.h>

/*******************************************************************************
 * 								Typedefs
 *******************************************************************************/

typedef enum {
	spi_gps,
	spi_imu,
	spi_sdCard
} SPI_Device_spi;


/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

void 	 SPI_Init();
void 	 SPI_DeInit();

void 	 SPI_Select(SPI_Device_spi device);
void 	 SPI_DeSelect(SPI_Device_spi device);

uint8_t  SPI_SendReceiveByte(uint8_t data);
void	 SPI_TransferByte(uint8_t data);
uint8_t  SPI_ReceiveByte();

void 	 SPI_SetCurrentClk(uint32_t clkFreq);
uint32_t SPI_GetCurrentClk();

#endif /* SPI_DRIVER_H_ */
