/******************************************************************************
 * @file:		tbr_driver.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	31. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef TBR_DRIVER_H_
#define TBR_DRIVER_H_

#include "sys/time.h"

#include <stdbool.h>

typedef enum {
	int_never = 0,
	int_5min,
	int_10min,
	int_30min,
	int_1h,
	int_2h,
	int_12h,
	int_24h
} TBR_TempInt_int;


/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

bool 		TBR_Init();
bool 		TBR_TestConnection();
bool 		TBR_PowerOn();
void 		TBR_DisablePower(bool disableRs485);
bool 		TBR_GetPowerState();
bool 		TBR_Restart();
bool 		TBR_ClearMemory();
bool 		TBR_ExitCommandMode();

bool 		TBR_TempInt_interval(bool set, TBR_TempInt_int * interval);
int8_t 		TBR_GetLastTempRead();
uint16_t 	TBR_GetTagDetections();
uint32_t * 	TBR_GetLastFlashCode();
bool 		TBR_RequestLog(int log, uint32_t * flashCode);
bool 		TBR_SyncTime(time_t * newTime);

bool 		TBR_IdentifyNewTagData(uint8_t * data);
void 		TBR_IdentifyTemperatureData(uint8_t * data);
void 		TBR_IdentifyFlashCode(uint8_t * data);

#endif /* TBR_DRIVER_H_ */
