/******************************************************************************
 * @file:		comm.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	13. mai 2016
 ******************************************************************************
 *	The communication module is a high level module which implements the
 *	BMP and the GSM modules to allow data transfer to -and from both the
 *	radio module and the GSM module.
 ******************************************************************************/

#ifndef COMM_H_
#define COMM_H_

#include "shared.h"
#include "bmp_parser.h"

/******************************************************************************
 *								Typedefs
 ******************************************************************************/

typedef enum {
	state_idle = 0,
	state_transInProgress_local,
	state_transInProgress_remote,
	state_recvFinished_local,
	state_recvFinished_remote,
	state_transFinished_local,
	state_transFinished_remote,
	state_ackReceived_local,
	state_ackReceived_remote,
	state_nakReceived_local,
	state_nakReceived_remote,
	state_recoverLogParam_local,
	state_recoverLogParam_remote,
	state_localSessionComplete,
	state_remoteSessionComplete
} COM_State;


typedef bool (* COM_TrasferFunc)();
typedef bool (* COM_ReceiveFunc)();

/******************************************************************************
 *							Function declarations
 ******************************************************************************/

COM_State 	COM_GetState(Device_dev * deviceLog);
void 		COM_Init();
bool 		COM_Send(Stream stream);
bool 		COM_SendMessage(Stream stream, BMP_Message * msg);
bool 		COM_Receive(Stream stream);

#endif /* COMM_H_ */
