/******************************************************************************
 * @file:		device_handlers.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	20. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef DEVICE_HANDLERS_H_
#define DEVICE_HANDLERS_H_

#include "em_cmu.h"

#include "shared.h"
#include "device_config.h"
#include "gps_driver.h"


bool DEV_CollectGpsData();
bool DEV_CollectGaugeData();
bool DEV_CollectTbrData();
bool DEV_DefaultConfigRadio();
bool DEV_DefaultConfigGsm();
bool DEV_DefaultConfigGauge();
bool DEV_DefaultConfigTbr700();

bool DEV_DefaultResetRadio();
bool DEV_DefaultResetGps();
bool DEV_DefaultResetTbr();
bool DEV_DefaultResetGsm();
bool DEV_DefaultResetSdCard();
bool DEV_DefaultResetGauge();

bool DEV_DefaultConfigGps(DEV_Settings * settings);
bool DEV_SyncGpsTime(GPS_Time * currentTime, bool forceSync);

#endif /* DEVICE_HANDLERS_H_ */
