/******************************************************************************
 * @file:		fifo_rx.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	26. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef FIFO_RX_H_
#define FIFO_RX_H_

#include "shared.h"


typedef void (*FIFO_RtsCallback)(bool);

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

void FIFO_RX_Init();
void FIFO_RX_SetRtsCallBack(Stream stream, FIFO_RtsCallback callBack);
void FIFO_RX_Reset(Stream stream);

bool FIFO_RX_Empty(Stream stream);
bool FIFO_RX_Full(Stream stream);
bool FIFO_RX_Put(Stream stream, uint8_t data);
bool FIFO_RX_Get(Stream stream, uint8_t * data);


#endif /* FIFO_RX_H_ */
