/******************************************************************************
 * @file:		gsm_messages.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	7. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GSM_MESSAGES_H_
#define GSM_MESSAGES_H_


typedef enum {
	sq_error = 0,
	sq_unknown,
	sq_register,
	sq_unRegister,
	sq_connectTCP,
	sq_startTcpServer,
	sq_info,
	sq_getStatus,
	sq_endSession,
	sq_readNewData,
	sq_readSpecifiedFile,
	sq_ack,
	sq_nak,
	sq_transferFinished,
	sq_noSms
}GSM_Query_sq;



#pragma GCC diagnostic ignored "-Wunknown-pragmas"

#define __root

/* SMS Commands and TCP Request Commands (when not using BMP messages)
 * Stored in flash memory only */

extern __root const char *GSM_CMD_Timeout;
extern __root const char *GSM_CMD_Info;
extern __root const char *GSM_CMD_Register;
extern __root const char *GSM_CMD_Unreg;
extern __root const char *GSM_CMD_StartTCPServer;
extern __root const char *GSM_CMD_StopTCP;
extern __root const char *GSM_CMD_GetStatus;
extern __root const char *GSM_CMD_ReadNewData;
extern __root const char *GSM_CMD_SpecifiedFile;
extern __root const char *GSM_CMD_Welcome_SMS;
extern __root const char *GSM_CMD_Welcome_TCP;
extern __root const char *GSM_CMD_Finished;
extern __root const char *GSM_CMD_Ack;
extern __root const char *GSM_CMD_Nak;
extern __root const char *GSM_CMD_Connect;
extern __root const char *GSM_CMD_Unknown;
extern __root const char *GSM_CMD_MaxReg;


#endif /* GSM_MESSAGES_H_ */
