/******************************************************************************
 * @file:		gsm_sms.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	24. apr. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef GSM_SMS_H_
#define GSM_SMS_H_

#include "shared.h"

#include "gsm_messages.h"

#define GSM_PHONE_NUMBER_LEN	15
#define GSM_MAX_REG_PHONE_NUM   10

/*******************************************************************************
 * 								Typedefs
 *******************************************************************************/

typedef enum {
  item_unread,
  item_read,
  item_all,
}GSM_SMSItem;


typedef enum {
  sr_unread,
  sr_read,
  sr_other,
  sr_noSms,
  sr_err
}GSM_SMSRes_sr;


#define GSM_SMS_MSG_TO_QUERY(msg) msg + 1


/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

int	 			GSM_IsSMSPresent(GSM_SMSItem item);
bool 			GSM_SendSMS(char * number, const char * message);
int 			GSM_Send_SMS_PhB(uint8_t phonebookPos, const char * message);
int 			GSM_Send_SysInfo(uint8_t phonebookPos, const char * phoneNumber);

GSM_SMSRes_sr 	GSM_GetSMS(int position, char * phoneNumber, char * smsText, int maxSmsLen);
GSM_Query_sq 	GSM_ReadSMS(uint8_t position, char * phoneNumber);
bool 			GSM_DeleteSMS(uint8_t position);

int 			GSM_GetPhoneNumber(uint8_t position, char * phoneNumber);
bool 			GSM_WritePhoneNumber(uint8_t position, char * phoneNumber);
bool 			GSM_DelPhoneNumber(uint8_t position);
uint8_t			GSM_NextPhbPos();
uint8_t			GSM_GetPhbPos(char * phoneNumber);

#endif /* GSM_SMS_H_ */
