/******************************************************************************
 * @file:		stream.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	24. apr. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef STREAM_H_
#define STREAM_H_

#include "shared.h"

#define 	FIFO_STREAM_TX_TIMEOUT	1000 /* Timeout in ms on transmit to wait for stream ready */


void 		STREAM_Init();
Stream 		STREAM_DataAvailable();
bool		STREAM_Printf(Stream stream, const char * fmt, ...);
int			STREAM_PrintfWaitResp(Stream stream, uint16_t timeout_ms, const char * exResp, const char * fmt, ...);

int			STREAM_WaitAltResponse(Stream stream, uint16_t timeout_ms, uint8_t nAltRes, ...);

int32_t 	STREAM_GetValue(Stream stream, uint16_t timeout_ms);
int			STREAM_GetString(Stream stream, uint16_t timeout_ms, char start, char end, char * buf, uint8_t bufLen);

bool 		STREAM_Flush(Stream stream);
bool 		STREAM_DataAv(Stream stream);
bool 		STREAM_Ready(Stream stream);

void 		STREAM_SetFlushCallback(Stream stream, bool (*callback)());

#endif /* STREAM_H_ */
