/******************************************************************************
 * @file:		stream_functions.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	12. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef STREAM_FUNCTIONS_H_
#define STREAM_FUNCTIONS_H_

#include "shared.h"


typedef bool (*STREAM_Callback)(uint8_t*);

void STREAM_SetTbrCallback(STREAM_Callback func);
void STREAM_ResetRadioTransfer();
void STREAM_SetArgs(uint8_t waitAfterEndTransfer, uint16_t bytesToTransfer);

uint STREAM_TransferDataToRadio(const uint8_t * data, uint bytesToTransfer);
uint STREAM_TransferDataToGSM(const uint8_t * data, uint bytesToTransfer);

uint STREAM_ReceiveDataFromRadio(uint8_t * recvByte, uint sense);
uint STREAM_ReceiveDataFromTbr700(uint8_t * recvByte, uint sense);
uint STREAM_ReceiveDataFromGsm(uint8_t * recvByte, uint sense);

#endif /* STREAM_FUNCTIONS_H_ */
