/******************************************************************************
 * @file:		timer.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	28. jan. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef TIMER_H_
#define TIMER_H_

#include <stdbool.h>

#include "em_cmu.h"
#include "em_emu.h"
#include "em_timer.h"
#include "em_letimer.h"

/*******************************************************************************
 * 							Function declarations
 *******************************************************************************/

#define TIMER_USE_LETIMER 	1
#define TIMER_LEN	0xFFFF

void Timer_Init();
void StartTimer_ms(uint16_t millis);
bool TimeElapsed();
void StartTimer_s(uint16_t sec, void(*OnElapsed));
void ResetTimer();
void Sleep_ms(uint16_t millis, bool untilElapsed);
void Delay_ms(uint16_t millis);

#if TIMER_USE_LETIMER
void StartLETimer_s(uint16_t millis, void(*OnElapsed)());
void ResetLETimer();
#endif
#endif /* TIMER_H_ */
