/******************************************************************************
 * @file:		gsm_messages.c
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	7. mai 2016
 ******************************************************************************
 *	Defined GSM commands and messages stored in the flash memory of the
 *	MCU.
 ******************************************************************************/

#include "gsm_messages.h"

#pragma location = 0x1FDE2
__root const char *GSM_CMD_Timeout 			= "Timeout, disconnecting.";

#pragma location = 0x1FDFB
__root const char *GSM_CMD_Info 			= "INFO";

#pragma location = 0x1FE00
__root const char *GSM_CMD_Register 		= "REG";

#pragma location = 0x1FE04
__root const char *GSM_CMD_Unreg 			= "UNREG";

#pragma location = 0x1FE0A
__root const char *GSM_CMD_StartTCPServer	= "START";

#pragma location = 0x1FE10
__root const char *GSM_CMD_StopTCP			= "CLOSE";

#pragma location = 0x1FE15
__root const char *GSM_CMD_GetStatus		= "STATUS";

#pragma location = 0x1FE1C
__root const char *GSM_CMD_ReadNewData		= "GET LAST";

#pragma location = 0x1FE25
__root const char *GSM_CMD_SpecifiedFile	= "GET THIS";

#pragma location = 0x1FE2E
__root const char *GSM_CMD_Finished 		= "Transfer finished. Confirm with \"OK\" or \"Not OK\"";

#pragma location = 0x1FE5F
__root const char  *GSM_CMD_Ack				= "OK";

#pragma location = 0x1FE62
__root const char *GSM_CMD_Nak				= "Not OK";

#pragma location = 0x1FE69
__root const char *GSM_CMD_Connect			= "Connect";

#pragma location = 0x1FE72
__root const char *GSM_CMD_Unknown			= "Command not recognized";

#pragma location = 0x1FE89
__root const char *GSM_CMD_MaxReg			= "Max registered TLF reached. Not OK";

#pragma location = 0x1FEAD
__root const char *GSM_CMD_Welcome_SMS 			=
		"Welcome to the Buoy platform. \
		Commands available on SMS: Info, Status, Reg, Unreg, Connect:\"<IP addr>:<port>\", \
		Start, Close."; // ca 122 char

#pragma location = 0x1FF27
__root const char *GSM_CMD_Welcome_TCP		=
		"Welcome to the Buoy platform. \
		Commands available on TCP:\r\n\
		Info: Returns this message\r\n\
		Status: Returns the system info for all registered nodes in the network.\r\n\
		Close: Ends the ongoing data session and disconnects from the TCP server.\r\n\
		Get last:<device log number>: Returns all of the stored log data since last \
		successful \"Get last\" command for the specified device log.\r\n\
		Get this:<device log number>,<\"date\">: Returns the log file for the \
		specified date and device log.\r\n\
		Available device logs: TBR700(0), GPS(3), Gas Gauge(5).\r\n\
		Date format: DDMMYY\r\n";
