/******************************************************************************
 * @file:		main.c
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	4. feb. 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#include "em_device.h"
#include "em_chip.h"

#include "controllerState.h"
#include "initState.h"

/*******************************************************************************
 * 							Variable declarations
 *******************************************************************************/

ERROR 					error;
struct ControllerState 	state;

/*******************************************************************************
 * 									Functions
 *******************************************************************************/
int main(){

	CHIP_Init();
	SYS_InitSystemClocks();
	DEV_Init();
	COM_Init();
	STREAM_Init();
	TIME_Init(NULL);
	Timer_Init();
#if DEBUG_OPERATION
	SYS_SetupSWOForPrint();
#endif

	state.init = true;

	/* Set first transition */
	state.transition = TransitionToInitSystem;

	while(true){
		/* Calls on the next state */
		state.transition(&state);
		state.state(&state);
	}
}
