/******************************************************************************
 * @file:		controllerState.h
 * @project:	BuoyController
 * @author:  	Ove Nesse
 * @version:	1.00
 * @created:	17. mai 2016
 ******************************************************************************
 *	File info here
 ******************************************************************************/

#ifndef CONTROLLERSTATE_H_
#define CONTROLLERSTATE_H_

#include "err.h"
#include "timer.h"
#include "shared.h"
#include "system.h"
#include "system_format.h"

#include "stream.h"

#include "device_manager.h"
#include "device_config.h"
#include "device_settings.h"

#include "log_manager.h"
#include "time_manager.h"
#include "comm.h"
#include "bmp_com.h"
#include "gsm_com.h"

extern bool indicatorTimeout;

typedef struct ControllerState * ControllerStatePtr;
typedef void (*EventFunc)(ControllerStatePtr);

struct ControllerState{
	EventFunc 	transition;
	EventFunc 	state;
	Device_dev	currentDevice;
	void * 		argPtr;			/* Pointer to any argument which may be needed */
	bool		init;
};


void DefaultImplementation(ControllerStatePtr state);

#endif /* CONTROLLERSTATE_H_ */
